#!"..\Python\App\python.exe" -u
"""
    ******************************************************

	European Union Public Licence - EUPL v.1.1

	Copyright 2010 Justitiele Informatiedienst, EBV, The Netherlands, http://www.justid.nl

	Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the
	European Commission - subsequent versions of the EUPL (the "Licence");
	You may not use this work except in compliance with the Licence.
	You may obtain a copy of the Licence at:

	http://ec.europa.eu/idabc/eupl

	Unless required by applicable law or agreed to in writing, software distributed
	under the Licence is distributed on an "AS IS" basis, 
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the Licence for the specific language governing permissions and limitations
	under the Licence.

    ******************************************************
"""

import cgi
import os, sys, string

html_fallback = {
u'nl' : """
<!--
    ******************************************************

	European Union Public Licence - EUPL v.1.1

	Copyright 2010 Justitiele Informatiedienst, EBV, The Netherlands, http://www.justid.nl

	Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the
	European Commission - subsequent versions of the EUPL (the "Licence");
	You may not use this work except in compliance with the Licence.
	You may obtain a copy of the Licence at:

	http://ec.europa.eu/idabc/eupl

	Unless required by applicable law or agreed to in writing, software distributed
	under the Licence is distributed on an "AS IS" basis, 
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the Licence for the specific language governing permissions and limitations
	under the Licence.

    ******************************************************
-->
<div class="base-layer">
<table summary="" border="0" align="center" cellpadding="10" cellspacing="10" width="100%">
<tr>
<td align="left">
<p align="left"><a onClick="history.go(-1);return true;"><img src="/cpa/4/0/logo40.png" height="100" border=0></a></p>
</td>
<td align="right">
<h2>CPA Creatie</h2>
<h1>Oops... er zijn fouten opgetreden</h1>
</td>
</tr>
</table>
<div class = "table-row"><strong>Foutmeldingen</strong></div>
<div class = "table-row2">
<div class=left-container2>&nbsp;</div><div class=right-container2>Er zijn fouten geconstateerd in de configuratie van de CPA Creatie Toolkit.</div>
</div>
<div class = "space-line">&nbsp;</div>
<center><strong>__NOTIFICATION_PH__</strong></center>
<div class = "space-line">&nbsp;</div>
</div>
""",
u'en' : """
<!--
    ******************************************************

	European Union Public Licence - EUPL v.1.1

	Copyright 2010 Justitiele Informatiedienst, EBV, The Netherlands, http://www.justid.nl

	Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the
	European Commission - subsequent versions of the EUPL (the "Licence");
	You may not use this work except in compliance with the Licence.
	You may obtain a copy of the Licence at:

	http://ec.europa.eu/idabc/eupl

	Unless required by applicable law or agreed to in writing, software distributed
	under the Licence is distributed on an "AS IS" basis, 
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the Licence for the specific language governing permissions and limitations
	under the Licence.

    ******************************************************
-->
<div class="base-layer">
<table summary="" border="0" align="center" cellpadding="10" cellspacing="10" width="100%">
<tr>
<td align="left">
<p align="left"><a onClick="history.go(-1);return true;"><img src="/cpa/4/0/logo40.png" height="100" border=0></a></p>
</td>
<td align="right">
<h2>CPA Creation</h2>
<h1>Oops... an error has occurred!</h1>
</td>
</tr>
</table>
<div class = "table-row"><strong>Error messages</strong></div>
<div class = "table-row2">
<div class=left-container2>&nbsp;</div><div class=right-container2>Errors have been identified in the configuration of the CPA Creation Toolkit.</div>
</div>
<div class = "space-line">&nbsp;</div>
<center><strong>__NOTIFICATION_PH__</strong></center>
<div class = "space-line">&nbsp;</div>
</div>
"""
}

def main():
    print "Content-type: text/html\n" # Do this first
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\"><html><head><title>CPA Creation Toolkit - Version 4.0</title>"
    print "<link rel=\"stylesheet\" title=\"CPA Creation Toolkit - Version 4.0\" type=\"text/css\" media=\"screen\" href=\"/table-in-css.css\"></head><body>"
    try:
        import keyinfoworker	# module that does the real work
        print "</body></html>"
    except:
        #print "<hr><h1>Oops.  An error occurred.</h1>"
        myString = html_fallback[u'en'].replace("__NOTIFICATION_PH__", str(sys.exc_info()[1]))
        print myString
        cgi.print_exception() # Prints traceback, safely
        print "</body></html>"
main()