#!"..\Python\App\python.exe" -u

"""
    ******************************************************

	European Union Public Licence - EUPL v.1.1

	Copyright 2010 Justitiele Informatiedienst, EBV, The Netherlands, http://www.justid.nl

	Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the
	European Commission - subsequent versions of the EUPL (the "Licence");
	You may not use this work except in compliance with the Licence.
	You may obtain a copy of the Licence at:

	http://ec.europa.eu/idabc/eupl

	Unless required by applicable law or agreed to in writing, software distributed
	under the Licence is distributed on an "AS IS" basis, 
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the Licence for the specific language governing permissions and limitations
	under the Licence.

    ******************************************************
"""

import cgi
import os
import string
import utilities
import webformcpaid
import myProperties

def main():
    print "Content-type: text/html\n" # Do this first
    try:
        config = myProperties.Properties()
        if (config.error):
            print "Could not initialize.<BR>"
            print config.error,"<BR>"
            return

        myServiceDir                = os.path.abspath(os.path.join(config.ToolkitPath, '1', 'c'))
        myParticipantDir            = os.path.abspath(os.path.join(config.ToolkitPath, '1', 'p'))
       
        miniForm = cgi.FormContent()
        template = ""
        
        if miniForm.has_key('template'):
            template = miniForm['template'][0]
        if template == "":
            print "<html><body>Template not specified</body></html>"
            return
        
        template    = os.path.join(config.HTMLResultTemplate, template)
        if not os.path.exists(template):
            print "ERROR. Could not retrieve template file."
            return
        myDir       = myParticipantDir
        myParticipantsList  = utilities.makeListFromTemplate(utilities.getDirectoryList(myDir), "<OPTION VALUE=\"__PH__\">__PH__","__PH__")

        myFile      = os.path.abspath( template )
        filePath=os.path.join(myFile)
        f = open(filePath,'rb')
        myString = f.read(-1)
        f.close()
        myFormProcessor = webformcpaid.WebFormCreateCpaWithIDS()
        if myFormProcessor.createHtmlSelect(myString, ['PARTNER'], myParticipantsList):
            myString = myFormProcessor.getHtmlString()
        
        print myString
        return True
    except:
        cgi.print_exception()
        return False
main()